Bug 167403 - Kernel spams syslog with w1_driver messages
Kernel spams syslog with w1_driver messages
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Kernel Maintainer List
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-02 08:27 EDT by Steve Parker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-09-30 00:52:57 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Steve Parker 2005-09-02 08:27:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050719 Fedora/1.7.10-1.5.1

Description of problem:
After upgrading to kernel-2.6.12-1.1447_FC4, I now see the following messages in my syslog:

Driver for 1-wire Dallas network protocol.
matrox_w1 0000:01:00.0: Matrox G400 GPIO transport layer for 1-wire.
w1_driver w1_bus_master1: No devices present on the wire.
w1_driver w1_bus_master1: No devices present on the wire.
w1_driver w1_bus_master1: No devices present on the wire.
....

Series of the 'w1_driver' messages continue to appear at regular intervals (every minute or so).  To stop them, I can 'rmmod matrox_w1' (as some initial research indicated) and then I see a few messages as below:

Aug 31 19:28:34 localhost kernel: Waiting for w1_bus_master1 to become free: refcnt=2.
Aug 31 19:28:35 localhost kernel: Waiting for w1_bus_master1 to become free: refcnt=1.
Aug 31 19:28:43 localhost last message repeated 8 times


And then they do indeed stop.  I've heard that this module is loaded automatically when a Matrox card is detected (I have a G450).  The question is why and why it generates so many syslog messages.

Version-Release number of selected component (if applicable):
kernel-2.6.12-1.1447_FC4

How reproducible:
Always

Steps to Reproduce:
1. Reboot
2. Watch the syslog
  

Actual Results:  Syslog was spammed every minutes by the above messages.

Expected Results:  The messages should not appear (and, arguably as I don't know it's function, the matrox_w1 module should not be loaded).

Additional info:
Comment 1 Steve Parker 2005-09-27 19:43:20 EDT
This is still a problem in 2.6.12-1.1456_FC4 but I've simply disabled the
matrox_w1 module in /etc/modprobe.conf for now.
Comment 2 Fedora Update System 2005-09-29 23:12:19 EDT
From User-Agent: XML-RPC

kernel-2.6.13-1.1526_FC4 has been pushed for FC4, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.